%define oname   net-ldap

Name:       ruby-%{oname}
Version:    0.2.2
Release:    %mkrel 1
Summary:    Implements client access for LDAP
License:    MIT
Group:      Development/Ruby
URL:        http://net-ldap.rubyforge.org/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rubyforge) >= 2.0.4
BuildRequires: rubygem(hoe-git) >= 1
BuildRequires: rubygem(hoe-gemspec) >= 1
BuildRequires: rubygem(flexmock) >= 0.9.0
BuildRequires: rubygem(rspec) >= 2.0
BuildRequires: rubygem(hoe) >= 2.9.1
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Net::LDAP for Ruby (also called net-ldap) implements client access for the
Lightweight Directory Access Protocol (LDAP), an IETF standard protocol for
accessing distributed directory services. Net::LDAP is written completely in
Ruby with no external dependencies. It supports most LDAP client features
and a
subset of server features as well.
Net::LDAP has been tested against modern popular LDAP servers including
OpenLDAP and Active Directory. The current release is mostly compliant with
earlier versions of the IETF LDAP RFCs (2251–2256, 2829–2830, 3377, and
3771).
Our roadmap for Net::LDAP 1.0 is to gain full <em>client</em> compliance
with
the most recent LDAP RFCs (4510–4519, plus portions of 4520–4532).

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Contributors.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Hacking.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/History.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/License.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
rake test

%clean
rm -rf %{buildroot}



%changelog
* Sun Apr 17 2011 shikamaru <shikamaru> 0.2.2-1.mga1
+ Revision: 87121
- imported package ruby-net-ldap


* Sun Apr 17 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.2.2-1
- Initial package
